/*
 *      funGUI.h include file
 */
 
#ifndef  __FUNGUI__
#define __FUNGUI__

#include <ZMainWidget.h>
#include <ZApplication.h>
#include <ZKeyObject.h>

class UTIL_CST;
class QLabel;
class QSlider;
class QTimer;
class ZPushButton;
class ZMessageBox;
class QCheckBox;
class QString;
class QRadioButton;

struct styles
{
  QString s1;
  QString s2;
  QString s3;
  QString s4;
  QString s5;
  QString s6;
  QString s7;
  QString s8;
  QString s9;
  QString s10;
};

struct langPack
{
  QString name;
  QString start;
  QString stop;
  char *sens;
  QString brightness;
  QString smooth;
  QString startd;
  QString stopd;
  QString dq;
  QString yes;
  QString no;
  QString help;
  QString about;
  styles s;
};

struct structset
{
  int lang;
  char sensval;
  char brval;
  bool brset;
  bool smset;
};

class funGUI : public ZMainWidget
{
	Q_OBJECT
	public:
		funGUI();
		~funGUI();
		
	private slots:
	  void funStartStop();
	  void exitSlot();
	  void chSens();
	  void brSlot();
	  void smSlot();
	  void krSlot();
	  void klSlot();
	  void stopd();
	  void m0();
    void m1();
    void m2();
    void m3();
    void m4();
    void m5();
    void m6();
    void m7();
    void m8();
    void m9();
    void h0();
    void h1();
	  void tolang0();
	  void tolang1();

	private:
    void startd(int itemId);
    void changeLang(int langn);
    langPack lang[2];
    structset settings;
		QLabel *title,*sensLabel,*contentLabel,*minLabel,*maxLabel;
		QCheckBox *chBox1, *chBox2;
		QTimer *timer;
		ZPushButton *exitbtn,*btn,*lbtn,*helpbtn;
		QPopupMenu *menu,*style,*helpmenu;
		QRadioButton *eng,*lang1;
		UTIL_CST *cst;
		QSlider *slider1,*slider2;
		ZKeyObject *keyCenter,*keyRight,*keyLeft;
		bool sttd;
		int sfile;
		char labeltext[128];
};

#endif
