#!/usr/local/bin/php
<?php
/*
 *      Schemes file compile script.
 *      Change TXT files in "schemes" folder
 *      Structure:
 *      <time in msecs> <brigtness of backlight> <keylight>\n
 *      time: unsigned short int (0-65535)
 *      brightness: unsigned char (0-off, 1-default (from system settings), 2-100 - brigtness)
 *      keylight: bool (0-off, 1-on)
*/

$offset = 0;
file_put_contents('../pkg/funlight/funlightd.sch', '                                                                                ');
for($i=0;$i<10;$i++)
{
  $file = file('schemes/' . $i . '.txt');
  $put = fopen('../pkg/funlight/funlightd.sch', 'r+');
  fseek($put, $i*8);
  fputs($put, pack('II',($offset+80),sizeof($file)));
  fclose($put);

  $c = sizeof($file);
  $put = fopen('../pkg/funlight/funlightd.sch', 'a');
  for($j=0;$j<$c;$j++)
  {
    $arr = explode(' ', trim($file[$j]));
    fputs($put, pack('SCC', intval($arr[0]), intval($arr[1]), intval($arr[2])));
  }
  fclose($put);
  $offset += sizeof($file)*4;
}

?>
