/*
 *      main.cpp 
 */

#include <ZApplication.h>
#include <signal.h>
#include "funGUI.h"
#include "funlight.h"

char sfsname[256],sfdname[256],sfdsname[256];

void terminate_signal(int)
{
  extern Funlight funobj;
  extern int fl_fb,fbbr;
  funobj.stop();
  ioctl(fl_fb, FBIOSETBRIGHTNESS, fbbr);
  exit(0);
}

int main( int argc, char** argv )
{
  signal (SIGINT,terminate_signal);
  signal (SIGTERM,terminate_signal);
  signal (SIGFPE,terminate_signal);
  strcpy(sfsname,argv[0]);
  strcpy(sfdname,argv[0]);
  strcat(sfdname,"d %d d &");
  strcpy(sfdsname,argv[0]);
  strcat(sfdsname,"d %d &");
  
	ZApplication app( argc, argv );
	funGUI *mw = new funGUI();
  
	app.showMainWidget(mw);
	return app.exec();
}
